Bug 861874 - Brightness control have no effect on Dell XPS M1710 with NVidia 7950GTX
Brightness control have no effect on Dell XPS M1710 with NVidia 7950GTX
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 04:38 EDT by Olivier Fourdan
Modified: 2015-05-04 07:55 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 11:11:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg logs (31.59 KB, text/plain)
2012-10-01 04:38 EDT, Olivier Fourdan
no flags Details
lspci (32.23 KB, text/plain)
2012-10-01 04:39 EDT, Olivier Fourdan
no flags Details
dmesg (70.50 KB, text/plain)
2012-10-01 04:44 EDT, Olivier Fourdan
no flags Details
vbios.rom from GeForce Go 7950 GTX (59.50 KB, application/octet-stream)
2012-10-22 03:36 EDT, Olivier Fourdan
no flags Details

  None (edit)
Description Olivier Fourdan 2012-10-01 04:38:24 EDT
Created attachment 619672 [details]
Xorg logs

Description of problem:

BAcklight brightness control have no effect, screen is dimmed to the minimum as soon as boot starts which makes it very hard to use the laptop.

Version-Release number of selected component (if applicable):

kernel-3.6.0-0.rc7.git1.4.fc18.x86_64

How reproducible:

Always

Steps to Reproduce:

1. Boot the system
 
Actual results:

Brightness is set to minimum and no way to increase it.

Expected results:

Brightness control is effective, as it was with kernel < 3.4

Additional info:

The issue first appeared with kernel 3.4 (in the last few rc cycles iirc).

No control can change the brightness. It looks like brightness is set to the max, but in fact it's so dimmed that it's barely readable.

  # cat /sys/class/backlight/acpi_video0/actual_brightness
  7 

  # cat /sys/class/backlight/acpi_video0/brightness
  7

  # cat /sys/class/backlight/acpi_video0/max_brightness
  7

Booting with "acpi_backlight=vendor" has no effect.

Issue occurs in console (with KMS) and in Xorg (with nouveau), as soon as the kernel starts, the brightness is set to the minimum.
Comment 1 Olivier Fourdan 2012-10-01 04:39:05 EDT
Created attachment 619673 [details]
lspci
Comment 2 Olivier Fourdan 2012-10-01 04:44:02 EDT
Created attachment 619674 [details]
dmesg
Comment 3 Olivier Fourdan 2012-10-19 03:27:31 EDT
Problem is still present in vanilla kernel 3.6.2.

The git commit that caused this regression upstream is b99da31

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=b99da31

Reverting this patch restores functionality

diff -up linux-3.6.0-0.rc7.git1.4.fc18.x86_64/drivers/gpu/drm/nouveau/nv10_gpio.c.revert-b99da31 linux-3.6.0-0.rc7.git1.4.fc18.x86_64/drivers/gpu/drm/nouveau/nv10_gpio.c
--- linux-3.6.0-0.rc7.git1.4.fc18.x86_64/drivers/gpu/drm/nouveau/nv10_gpio.c.revert-b99da31     2012-09-28 11:29:21.000000000 +0200
+++ linux-3.6.0-0.rc7.git1.4.fc18.x86_64/drivers/gpu/drm/nouveau/nv10_gpio.c    2012-09-28 11:31:22.000000000 +0200
@@ -65,7 +65,7 @@ nv10_gpio_drive(struct drm_device *dev,
        if (line < 10) {
                line = (line - 2) * 4;
                reg  = NV_PCRTC_GPIO_EXT;
-               mask = 0x00000003;
+               mask = 0x00000003 << ((line - 2) * 4);
                data = (dir << 1) | out;
        } else
        if (line < 14) {
Comment 4 Ben Skeggs 2012-10-21 20:25:13 EDT
Can you please attach your /sys/kernel/debug/dri/0/vbios.rom?

I remember this issue occurring on some older chipsets when it was first committed, and I think I may have actually found the cause for those and fixed it for 3.7.  However, I wouldn't expect such a fix to be relevant on your GPU.

The above patch *is* correct, and reverting can potentially have other (worse) side-effects.  But, I'll take a look at your vbios image and see what's up here.

Thanks!
Comment 5 Olivier Fourdan 2012-10-22 03:36:30 EDT
Created attachment 631308 [details]
vbios.rom from GeForce Go 7950 GTX
Comment 6 Olivier Fourdan 2012-10-22 03:44:45 EDT
(In reply to comment #4)
> Can you please attach your /sys/kernel/debug/dri/0/vbios.rom?

Attached

> I remember this issue occurring on some older chipsets when it was first
> committed, and I think I may have actually found the cause for those and
> fixed it for 3.7.  However, I wouldn't expect such a fix to be relevant on
> your GPU.

Well maybe because my laptop is indeed getting old :)
 
> The above patch *is* correct, and reverting can potentially have other
> (worse) side-effects. 

Oh, nono, I am not asking for a revert, I completely understand the patch is correct (otherwise many more would be affected), the goal was to point out what first caused the issue on that hardware.

> But, I'll take a look at your vbios image and see what's up here.

Thanks!
Comment 8 Justin M. Forbes 2013-10-18 17:19:18 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 9 Justin M. Forbes 2013-11-27 11:11:36 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.

Note You need to log in before you can comment on or make changes to this bug.